### Method

# GWeather Info set_location

#### Declaration [src]

    void
    gweather_info_set_location (
      GWeatherInfo* info,
      GWeatherLocation* location
    )

#### Description [src]

Changes the location of the weather report.

Note that this will clear any forecast or current conditions, and you must call `gweather_info_update()` to obtain the new data.

Sets property | `GWeather.Info:location`

#### Parameters

`location`

  Type: `GWeatherLocation`

  A location for which weather is desired.

  The argument can be `NULL`.
  The data is owned by the caller of the function.